[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeNode.GetPrevVisibleSibling

Gets the previous visible sibling tree node for the current node.

## Declaration

Source position: comctrls.pp line 3130

`public function TTreeNode.GetPrevVisibleSibling(`
`aEnabledOnly: Boolean = False`
`):TTreeNode;`

## Arguments

`aEnabledOnly` |  | True if the previous sibling node must also be Enabled, or False if Enabled is not examined in the method.

## Function result

Previous sibling node with the required states, or Nil when a tree node is not found.

## Description

GetPrevVisibleSibling is a TTreeNode function used to get a previous sibling tree node which has its Visible property enabled. The AEnabledOnly argument indicates whether the node must also have its Enabled property set to True. When AEnabledOnly is False, the Enabled property for the candidate node is not examined in the method.

GetPrevVisibleSibling calls the GetPrevSibling method for the current node to get the previous sibling.

The return value contains the first matching tree node with the required states, or Nil if a matching node is not found before all of the sibling nodes have been examined.

## Version info

Modified in LCL version 3.0. Refactored to include the AEnabledOnly argument.